number_of_sims=10^6;
batches=4;
sample_sizes=[5 10 15 20 30 50 75 100 500];
bins=4:.2:7;
tic
count_by_bin=zeros(length(sample_sizes),length(bins));
for i=1:length(sample_sizes)
  disp(i)
  sample_size=sample_sizes(i);
  count_by_bin_i=count_by_bin(i,:);
  parfor j=1:batches
      Y=random('t',3,sample_size,number_of_sims/batches);
      Z=sqrt(sample_size) * mean(Y)./sqrt(var(Y)); %should be approximatel normal
      count_by_bin_i=count_by_bin_i+histc(Z,bins);
end
  count_by_bin(i,:)=count_by_bin_i;
end
toc
%plot results
for i=1:length(sample_sizes)
  subplot(3,3,i)
  bin_midpoints=(bins(1:(length(bins)-1))+bins(2:length(bins)))/2;
  normal_prob=cdf('norm',bins(2:length(bins)),0,1)-cdf('norm',bins(1:(length(bins)-1)),0,1);
  hold on
  title(strcat('Sample Size = ',num2str(sample_sizes(i))))
  bar(bins,count_by_bin(i,:)/number_of_sims,'histc')
  p=plot(bin_midpoints,normal_prob);
  set(p,'Color','red','LineWidth',2)
  hold off
end
%make sure this line is run
